# Box — File Storage API: gotchas

> Canonical URL: https://developers.apideck.com/apis/file-storage/box/gotchas

## PUT /file-storage/upload-sessions/{id}

Box requires a SHA1 digest of the uploaded chunk to be sent. More info in the Box API documentation [here](https://developer.box.com/reference/put-files-upload-sessions-id/#param-digest).
## POST /file-storage/upload-sessions/{id}/finish

Box requires a SHA1 digest of the whole file to be sent when committing the upload session. More info in the Box API documentation [here](https://developer.box.com/reference/post-files-upload-sessions-id-commit/#param-digest).

[API reference](https://developers.apideck.com/apis/file-storage/reference.md) · [Coverage matrix](https://developers.apideck.com/apis/file-storage/coverage)
